// 导入组件
import Vue from 'vue';
import Router from 'vue-router';
// 登录
import login from '@/views/login';
// 首页
import index from '@/views/index';
/**
 * 模板管理
 */
import template from '@/views/template/template'
import addTemplate from '@/views/template/addTemplate'
import historyVersion from '@/views/template/historyVersion'
/**
 * 任务管理
 */
// 交易订单
import task from '@/views/task/task'
import addTask from '@/views/task/addTask'
// 点检台账
import standingManage from '@/views/standingManage/index'
// 启用路由
Vue.use(Router);

// 导出路由
export default new Router({
    routes: [{
        path: '/',
        name: '',
        // component: index,
        redirect: '/project'
    },{
        path: '/index',
        name: '首页',
        component: index,
        // iconCls: 'el-icon-tickets',
        children: [
          {
            path: '/project',
            name: '项目管理',
            component: template,
        }, {
            path: '/addTemplate',
            name: '模板管理',
            component: addTemplate
        }, {
            path: '/historyVersion',
            name: '新增模板',
            component: historyVersion
        }, {
            path: '/task',
            name: '任务管理',
            component: task
        }, {
            path: '/addTask',
            name: '新增任务',
            component: addTask
        }, {
            path: '/standingManage',
            name: '台账管理',
            component: standingManage,
        }]
    }]
})
