// fmt 定义想要的样式  例如 yyyy.MM.dd
// date 时间戳
// 时间戳转日期
export function formatDate(date, fmt) {
  if (/(y+)/.test(fmt)) {
    fmt = fmt.replace(RegExp.$1, (date.getFullYear() + '').substr(4 - RegExp.$1.length));
  }
  let o = {
    'M+': date.getMonth() + 1,
    'd+': date.getDate(),
    'h+': date.getHours(),
    'm+': date.getMinutes(),
    's+': date.getSeconds()
  };
  for (let k in o) {
    if (new RegExp(`(${k})`).test(fmt)) {
      let str = o[k] + ''
      fmt = fmt.replace(RegExp.$1, (RegExp.$1.length === 1) ? str : padLeftZero(str))
      // fmt = fmt.replace(RegExp.$1, str )
    }
  }
  return fmt;
};

// 用0补充
function padLeftZero (str) {
  return ('00' + str).substr(str.length);
};


// 日期转时间戳
export function getYyMmDdTimeStamp (date) {
  let time = new Date(date)
  let Y = time.getFullYear() + '-'
  let M = (time.getMonth() + 1 < 10 ? '0' + (time.getMonth() + 1) : time.getMonth() + 1) + '-'
  let D = time.getDate() + ' '
  return new Date(Y + M + D).valueOf()
}
