import Vue from 'vue';
import Vuex from 'vuex';
import { setStore,removeStore } from '@/utils/store'

Vue.use(Vuex);
export default new Vuex.Store({
    state: {
        // 用户信息
        userInfo: {}
    },
    mutations: {
        // 登录
        login(state, data) {
          state.userInfo = data
          setStore({'name':'user', 'content': data, 'type':''})
          setStore({'name':'token', 'content': data.token, 'type':''})
        },
        // 退出
        logout(state) {
            state.userInfo = {};
            removeStore({'name': 'user'})
            removeStore({'name': 'token'})
        }
    }
})
